<div class="dashboard-container">
    <div class="dashboard-sidebar" [formGroup]="filtersForm">
        <div>
            <label for="officeFilter">Filter by Office:</label>
            <input type="text" id="officeFilter" formControlName="officeFilter" />
        </div>

        <div>
            <label for="nameFilter">Filter by Name:</label>
            <input type="text" id="nameFilter" formControlName="nameFilter" />
        </div>

    </div>
    <div class="dashboard-content">
        <button class="add-button" (click)="openModal()">Add Employee</button>

        <table class="dashboard-table">

            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Surname</th>
                    <th>Office</th>
                    <th>Phones</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let employee of filteredEmployees">
                    <td>{{ employee.id }}</td>
                    <td>{{ employee.name }}</td>
                    <td>{{ employee.surname }}</td>
                    <td>{{ employee.office }}</td>
                    <td>
                        <ul>
                            <li *ngFor="let phone of employee.phones">{{ phone }}</li>
                        </ul>
                    </td>
                    <td>
                        <button (click)="editEmployee(employee)">Edit</button>
                    </td>
                    <td>
                        <button (click)="deleteEmployee(employee)">Delete</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
<app-add-employee [showModal]="showModal" (closeModal)="closeModal()" (openModal)="openModal()"
    (insertEmployee)="insertEmployee($event)" [editableEmployee]="sentEdiableEmployee"></app-add-employee>